Ubuntu

lp:ubuntu/precise/gnutls28

Created by Ubuntu Package Importer on 2012-06-30 and last modified on 2012-06-30
Get this branch:
bzr branch lp:ubuntu/precise/gnutls28
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Review team:
Ubuntu Development Team
Status:
Mature

Recent revisions

16. By Colin Watson on 2012-01-24

Drop gnutls-doc binary package, for the same reason as gnutls-bin.

15. By Colin Watson on 2012-01-24

Drop gnutls-bin binary package. This is now shipped from the gnutls26
source package instead, since we want to continue using that as the
default for at least Ubuntu 12.04 LTS.

14. By Andreas Metzler <email address hidden> on 2012-01-07

New upstream version.

13. By Andreas Metzler <email address hidden> on 2012-01-06

* Drop guile-gnutls.README.Debian - binary guile modules are no longer
  directly installed in $libdir.
* New upstream version.
  + Drop patches/30_correctly-set-the-odd-bits.patch.
  + gnutls_random_art() added. Update copyright, bump shlibs.
  + src/serv.c: Only use configured interfaces. Patch by Pino Toscano.
    Closes: #652552

12. By Andreas Metzler <email address hidden> on 2011-12-17

* [20_test-select.diff] Do not run gnulib test-select test anymore. The
  test fails on kfreebsd-i386, the gnutls library does not use select().
* [30_correctly-set-the-odd-bits.patch] Post release fix from GIT head.
* Upload to unstable.

11. By Andreas Metzler <email address hidden> on 2011-12-03

* First upload to unstable.
  + Disable openssl-wrapper package, let it be provided by gnutls26 until
    gnutls28 is in testing.
  + Disable gnutls-guile package, let it be provided by gnutls26 until
    gnutls28 is in testing.

10. By Andreas Metzler <email address hidden> on 2011-11-12

* Build gnutls with --disable-largefile on armel, armhf and mipsel to fix
  guile related FTBFS on these architectures.
  See http://lists.gnu.org/archive/html/gnutls-devel/2011-10/msg00075.html
* New upstream version.
  + Bump shlibs.

9. By Andreas Metzler <email address hidden> on 2011-11-10

* New upstream version.
* Drop 20_addGNU-stack.diff, included upstream.
* loadable Guile module no longer installed directly to $libdir but to
  $libdir/guile/X.Y/. Drop nunnecessary lintian overrides and
  Pre-Depends: ${misc:Pre-Depends} from guile-gnutls. Also modify
  DEB_DH_MAKESHLIBS_ARGS_guile-gnutls to ignore the binary module.
* gnutls-extra is removed upstream, there is no need anymore to manually
  remove the bits and pieces in debian/rules.

8. By Andreas Metzler <email address hidden> on 2011-10-23

* Drop libgnutls-dev.README.Debian, the information provided there stopped
  being relevant in 2.7.12.
* Delete superfluous info from debian/README.source.
* Rename libgnutls-dev to libgnutls28-dev. A big quick transition does not
  seem to be possible.
  http://lists.debian.org/debian-devel/2011/10/msg00332.html
* Simplify dependencies:
  + libgnutls28-dev Provides/Conflicts/Replaces gnutls-dev (which is
    also provided by gnutls26' libgnutls-dev).
  + Drop *ancient* Conflicts/Replaces against libgnutls5-dev, gnutls0.4-dev,
    gnutls-dev (<< 0.4.0-0), libgnutls11-dev.

7. By Andreas Metzler <email address hidden> on 2011-10-15

* New upstream version.
  + bump shlibs.
  + bump nettle build-dependency to >= 2.4. (Required for ripemd-160).
* Add libp11-kit-dev to libgnutls-dev dependencies. Closes: #643811
* [20_addGNU-stack.diff] Add GNU-stack note to newly added
  padlock-common.s.
* Stop shipping libgnutls-extra.so. It is an empty shell currently and will
  be packaged for Debian again when it provides functionality.
* Update debian/copyright, accelerated assembly code is non-FSF copyright.
* Add crywrap.8 manpage.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/gnutls28
This branch contains Public information 
Everyone can see this information.

Subscribers